# anndash

<!-- WARNING: THIS FILE WAS AUTOGENERATED! DO NOT EDIT! -->

## Developer Guide

### Setup

``` sh
# create conda environment
$ mamba env create -f env.yml

# update conda environment
$ mamba env update -n anndash --file env.yml
```

### Install

``` sh
pip install -e .

# install from pypi
pip install anndash
```

### nbdev

``` sh
# activate conda environment
$ conda activate anndash

# make sure the anndash package is installed in development mode
$ pip install -e .

# make changes under nbs/ directory
# ...

# compile to have changes apply to the anndash package
$ nbdev_prepare
```

### Publishing

``` sh
# publish to pypi
$ nbdev_pypi

# publish to conda
$ nbdev_conda --build_args '-c conda-forge'
$ nbdev_conda --mambabuild --build_args '-c conda-forge -c dsm-72'
```

# Usage

## Installation

Install latest from the GitHub
[repository](https://github.com/dsm-72/anndash):

``` sh
$ pip install git+https://github.com/dsm-72/anndash.git
```

or from [conda](https://anaconda.org/dsm-72/anndash)

``` sh
$ conda install -c dsm-72 anndash
```

or from [pypi](https://pypi.org/project/anndash/)

``` sh
$ pip install anndash
```

## Documentation

Documentation can be found hosted on GitHub
[repository](https://github.com/dsm-72/anndash)
[pages](https://dsm-72.github.io/anndash/). Additionally you can find
package manager specific guidelines on
[conda](https://anaconda.org/dsm-72/anndash) and
[pypi](https://pypi.org/project/anndash/) respectively.

Using `anndash` to create an interactive dashboard is as easy as:

``` python
from anndash.core import AnnDashboard

adb = AnnDashboard(adata)
adb.run()
```
